<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces" prefix="vsmfaces"%>


	
	<usmc:messageBox id="name_messagebox_dialog"
			messageCollection="#{messageBoxBean.messages}" styleClass="taskInfo"
			immediate="true" closeLinkVisible="false"
			closeListener="#{messageBoxBean.handleClose}" />
			
			<hx:ajaxRefreshSubmit id="properRefresh"/>
	
		<h:panelGrid id="tit" rendered="true">
		<h:outputText value="Logical Port Information"  styleClass="headerText"/>
		
		<h:panelGrid columns="2">
		<usmc:outputLabel id="info" for="lpar"
		styleClass="outputLabel" style="min-width:200" value="SRIOV Device :" />
		<h:outputText id="lpar" value="U8358.001.EAGLE20-P1-T1" />
		<usmc:outputLabel id="infoid" for="id"
		styleClass="outputLabel" style="min-width:200" value="Physical Port :" />
		<h:outputText id="id" value="2" />
		<usmc:outputLabel id="loo" for="id1"
		styleClass="outputLabel" style="min-width:200" value="Type:" />
		<h:outputText id="id1" value="Etherenet" />
		</h:panelGrid>
		
		</h:panelGrid>
		
	    <exfaces:tabbedPanel id="settings" handler="#{tabHandler}" includeAjax="#{tabHandler.ajax}" includeButtons="fasle">
			<f:facet name="settings_locationsPanelFacet">
				<f:subview id="settings_locationsPanel" rendered="#{tabHandler.locationsTabSelected}">
					<%@include file="/jsps/properties/GeneralPropertiesPage1.jsp"%>
				</f:subview>
			</f:facet>
			<f:facet name="settings_locationsPanelFacet1">
				<f:subview id="settings_locationsPanel1" rendered="#{tabHandler.locationsTab1Selected}">
					<%@include file="/jsps/properties/AdvancedPropertiesPage1.jsp"%>
				</f:subview>
			</f:facet>
			<f:facet name="settings_locationsPanelFacet2">
				<f:subview id="settings_locationsPanel2" rendered="#{tabHandler.locationsTab2Selected}">
					<%@include file="/jsps/properties/PortCounterPage1.jsp"%>
				</f:subview>
			</f:facet>
		</exfaces:tabbedPanel>
		<h:panelGrid columns="3" id="panel7">

				<hx:commandExButton value="#{msg.OK_TEXT}" action="#{sriov_bean.createLogicalPortSubmit}">
					<hx:behavior event="onclick" targetAction="sriovPanelDialog;sriovPanel" behaviorAction="hide;get;stop"/>
				</hx:commandExButton>
				
				<hx:commandExButton value="#{msg.CANCEL_TEXT}" action="#{sriov_bean.createLogicalPortCancel}">
					<hx:behavior event="onclick" targetAction="sriovPanelDialog;sriovPanel" behaviorAction="hide;get;stop"/>
				</hx:commandExButton>
				<h:commandButton id="help_button_cvsstorage"
					value="#{msg.HELP_TEXT}"
					action="#{cvs_help.doStorageAdapterHelp}" immediate="true">
				</h:commandButton>
			</h:panelGrid>
	

