<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces"
	prefix="vsmfaces"%>

<f:subview id="strgMvDlpProcView">
	<hx:panelBox id="strgMvDlpProcDialogbox" layout="pageDirection">

  
		<usmc:messageBox id="strgMvDlpProcMessageBox"
			messageCollection="#{messageBoxBean.messages}" styleClass="taskInfo"
			immediate="true" closeLinkVisible="false"
			closeListener="#{messageBoxBean.handleClose}" />
	
	<hx:ajaxRefreshSubmit id="sharedSectionAjax1" />

		<h:panelGrid id="mvProcpanel1">
			<h:outputText id="move_lpar_id1"
				value="#{msg.LBL_STRGMvDlpProc_TEXT} " escape="false"/>
		</h:panelGrid>

		<h:outputText id="outputext56" value="<p>" escape="false" />

		<h:panelGrid id="Procnamepanel">

			<h:panelGrid id="sourceLParProcPanel" columns="2">
				<h:outputText value="#{msg.LBL_SOURCE_LPAR}" styleClass="headerText"
					id="sourceLParProcPaneltext4" />
				<h:outputText id="vservernamelbl"
					value="#{manageProcessorUIBean.sourceVSName}" />
			</h:panelGrid>


			
			<h:panelGrid id="panel2" width ="100%">
				<hx:ajaxRefreshSubmit id="sourceProcessorUnitRefresh" target="panel2">
				</hx:ajaxRefreshSubmit>

				<h:panelGrid id="header_Processing_units_panel" styleClass="panelGrid" cellpadding="0" cellspacing="4" width ="100%" columns="5">
						<h:outputText value="&nbsp;" styleClass="headerText" id="header_processor_type" escape="false"  style="width: 250" />												
						<h:outputText id="min_Proc_source"
							value="#{msg.LBL_MV_MINIMUM}" styleClass="headerText"  style="width: 250"/>		& nbsp;& nbsp;& nbsp;
						<h:outputText id="assigned_Proc_source"
							value="#{msg.LBL_MV_ASSIGNED}" styleClass="headerText"  style="width: 250"/>		& nbsp;& nbsp;& nbsp;					
						<h:outputText id="move_Proc_source"
							value="#{msg.LBL_MV_MOVE} " styleClass="headerText"  style="width: 250"/>	& nbsp;& nbsp;& nbsp;
						<h:outputText id="after_move_Proc_source"
							value="#{msg.LBL_MV_AFTER_MOVE} " styleClass="headerText"  style="width: 250"/>	& nbsp;& nbsp;& nbsp;

						<h:outputText value="#{msg.PROCESSING_UNITS}" styleClass="headerText" id="processing_units_source_ded" rendered="#{!manageProcessorUIBean.shared}"/>												
						<h:outputText id="min_Proc_source_ded"
							value="#{manageProcessorUIBean.minProcessors.value}" rendered="#{!manageProcessorUIBean.shared}"/>
						<h:outputText id="assigned_Proc_source_ded"
							value="#{manageProcessorUIBean.assignedProcessors.value}" rendered="#{!manageProcessorUIBean.shared}"/>						
						<h:inputText id="move_Proc_source_ded" value ="#{manageProcessorUIBean.amountToMoveDedicated}" style="width: 50" maxlength="9" onkeyup="processChanges();"
						 required="true" rendered="#{!manageProcessorUIBean.shared}"  onblur="setModified(this)" ></h:inputText>
						<h:outputText id="after_move_Proc_source_ded"
							value="#{manageProcessorUIBean.afterMoveDed}" rendered="#{!manageProcessorUIBean.shared}"/>

						<h:outputText value="#{msg.PROCESSING_UNITS}" styleClass="headerText"
						id="processing_units_source_shared"  rendered="#{manageProcessorUIBean.shared}"/>
						<h:outputText id="min_Proc_source_shared"
							value="#{manageProcessorUIBean.minProcUnits.value}"  rendered="#{manageProcessorUIBean.shared}"/>													
						<h:outputText id="assigned_Proc_source_shared"
							value="#{manageProcessorUIBean.assignedProcUnits.value}"  rendered="#{manageProcessorUIBean.shared}"/>
						<h:inputText id="move_Proc_source_shared1" value ="#{manageProcessorUIBean.amountToMoveShared}" style="width: 50" maxlength="9" onkeyup="processChanges();"
						 required="true" rendered="#{manageProcessorUIBean.shared}" onblur="setModified(this)" ></h:inputText>
						<h:outputText id="after_move_Proc_source_shared"
							value="#{manageProcessorUIBean.afterMove}"  rendered="#{manageProcessorUIBean.shared}"/>
					
						<h:outputText value="#{msg.VIRTUALPROCESSORS}" styleClass="headerText"
						id="virtualProcessors_source_shared"  rendered="#{manageProcessorUIBean.shared}"/>												
						<h:outputText id="min_Proc_virProc_source_shared"
							value="#{manageProcessorUIBean.minVirtualProcessors.value}"  rendered="#{manageProcessorUIBean.shared}"/>		
						<h:outputText id="assigned_Proc_virProc_source_shared"
							value="#{manageProcessorUIBean.assignedVirtualProcessors.value}"  rendered="#{manageProcessorUIBean.shared}"/>
						<h:inputText id="move_Proc_virProc_source_shared1" value ="#{manageProcessorUIBean.amountToMoveVirtualShared}" style="width: 50" maxlength="9" onkeyup="processChanges();"
						 required="true" rendered="#{manageProcessorUIBean.shared}"  onblur="setModified(this)" ></h:inputText>
						<h:outputText id="after_move_Proc_virProc_source_shared"
							value="#{manageProcessorUIBean.afterMoveVirtual}"  rendered="#{manageProcessorUIBean.shared}"/>
				</h:panelGrid>	
			<h:panelGrid id="modified_Checkbox">
					<h:selectBooleanCheckbox
						id="move_Proc_source_ded_modifiedHiddenCheckBox"
						style="display: none" />
					<h:selectBooleanCheckbox
						id="move_Proc_virProc_source_shared1_modifiedHiddenCheckBox"
						style="display: none" />
					<h:selectBooleanCheckbox
						id="move_Proc_source_shared1_modifiedHiddenCheckBox"
						style="display: none" />
			</h:panelGrid>
			<hx:commandExButton value="#{msg.LBL_RECALCULATE}"
				action="#{manageProcessorUIBean.recalculateProcessorUnits}"
				id="moveLparProcRecaclulate" type="submit">
				<hx:behavior event="onclick"
					targetAction="panel2;panel3"
					behaviorAction="get;stop"  />					
			</hx:commandExButton>
			<hx:ajaxRefreshSubmit id="ajaxRefreshSubmit1" target="header_Processing_units_panel"/>
			
			<h:panelGrid id="src_sharedProcUncappedPanelGrid" styleClass="panelGrid" cellpadding="0" cellspacing="0" width="100%" rendered="#{manageProcessorUIBean.shared}">
			
			<h:panelGrid id="src_sharedProcUncappedSectionGrid" columns="4" styleClass="columnLeftAlign">
				<vsmfaces:outputLabel id="src_shareduncappedLbl" value="#{msg.LBL_UNCAPPED}" for="src_procSharingModeCheck" uiproperty="#{manageProcessorUIBean.uncapped}"/>
				<vsmfaces:selectBooleanCheckBox disabled="true" id="src_procSharingModeCheck" uiproperty="#{manageProcessorUIBean.uncapped}" labelId="src_shareduncappedLbl" onclick="processChanges();"  dynamic="true">
				</vsmfaces:selectBooleanCheckBox>
				<vsmfaces:outputLabel id="src_shareduncappedWeightLbl"  for="src_shareduncappedWeight" value="#{msg.LBL_WEIGHT}" rendered="#{manageProcessorUIBean.uncapped.booleanValue}" uiproperty="#{manageProcessorUIBean.unCappedWeight}"/>
					<vsmfaces:inputText disabled="true" id="src_shareduncappedWeight" uiproperty="#{manageProcessorUIBean.unCappedWeight}" rendered="#{manageProcessorUIBean.uncapped.booleanValue}" required="true" dynamic="true" maxlength="3"  labelId="src_shareduncappedWeightLbl" onblur="processChanges();" maxlength="3" onkeyup="processChanges();">
				</vsmfaces:inputText>
			</h:panelGrid>
			
			
			</h:panelGrid>
		</h:panelGrid>



			<h:panelGrid id="panel3" >
			<h:panelGrid id="destLParProcPanel" columns="2">
				<h:outputText value="#{msg.LBL_DEST_LPAR}" styleClass="headerText"
					id="destLParProcPaneltext4" />
				<h:outputText value="#{manageProcessorUIBean.selectedDestVirtualServerId}"
					id="destLParProcPanelName1" />
			</h:panelGrid>
			
				<hx:ajaxRefreshSubmit id="destProcessorUnitRefresh"  target="panel3">
				</hx:ajaxRefreshSubmit>

				<h:panelGrid id="destination_lpar_list_panel" columns="2">
					<usmc:outputLabel id="destination_lpar_list"
						value="#{msg.LBL_DESTINATION_LPAR}" for="proc_selectDestinationLPAR" />
					<h:selectOneMenu id="proc_selectDestinationLPAR" value="#{manageProcessorUIBean.selectedDestVirtualServerId}">
						<f:selectItems value="#{manageProcessorUIBean.destinationLpars}"/>
						
					</h:selectOneMenu>
				</h:panelGrid>
				
		 	<hx:behavior id="ajBehavior_refresh_Proc_values" event="onchange"
								behaviorAction="get;stop" targetAction="panel3"
								target="proc_selectDestinationLPAR" />
			
			
			
			
			<h:panelGrid id="destinationProcUnitpanel">

				<h:panelGrid id="dest_header_Processing_units_panel" styleClass="panelGrid" cellpadding="0"cellspacing="4" width ="100%"  columns="4">
						<h:outputText value="&nbsp;" styleClass="headerText" id="dest_header_processor_type2" escape="false" style="width: 250"/>												
						<h:outputText id="dest_min_Proc_source"
							value="#{msg.LBL_MV_MINIMUM}" styleClass="headerText" style="width: 250"/>		
						<h:outputText id="dest_assigned_Proc_source"
							value="#{msg.LBL_MV_ASSIGNED}" styleClass="headerText" style="width: 250"/>		
						<h:outputText id="dest_after_move_Proc_source"
							value="#{msg.LBL_MV_AFTER_MOVE} " styleClass="headerText" style="width: 250"/>
						<h:outputText value="#{msg.PROCESSING_UNITS}" styleClass="headerText" id="dest_processing_units_source_ded" rendered="#{!manageProcessorUIBean.shared}"/>												
						<h:outputText id="dest_min_Proc_source_ded"
							value="#{manageProcessorUIBean.destDedMinProcessors}" rendered="#{!manageProcessorUIBean.shared}"/>
						<h:outputText id="dest_assigned_Proc_source_ded"
							value="#{manageProcessorUIBean.destDedAssignedProcessors}" rendered="#{!manageProcessorUIBean.shared}"/>						
						<h:outputText id="dest_after_move_Proc_source_ded"
							value="#{manageProcessorUIBean.destAfterMove}" rendered="#{!manageProcessorUIBean.shared}"/>

						<h:outputText value="#{msg.PROCESSING_UNITS}" styleClass="headerText"
						id="dest_processing_units_source_shared"  rendered="#{manageProcessorUIBean.shared}"/>
						<h:outputText id="dest_min_Proc_source_shared"
							value="#{manageProcessorUIBean.destSharedMinProcUnits}"  rendered="#{manageProcessorUIBean.shared}"/>													
						<h:outputText id="dest_assigned_Proc_source_shared"
							value="#{manageProcessorUIBean.destSharedAssignedProcUnits}"  rendered="#{manageProcessorUIBean.shared}"/>
						<h:outputText id="dest_after_move_Proc_source_shared"
							value="#{manageProcessorUIBean.destAfterMove}"  rendered="#{manageProcessorUIBean.shared}"/>
					
						<h:outputText value="#{msg.VIRTUALPROCESSORS}" styleClass="headerText"
						id="dest_virtualProcessors_source_shared"  rendered="#{manageProcessorUIBean.shared}"/>												
						<h:outputText id="dest_min_Proc_virProc_source_shared"
							value="#{manageProcessorUIBean.destSharedVirMinProcUnits}"  rendered="#{manageProcessorUIBean.shared}"/>		
						<h:outputText id="dest_assigned_Proc_virProc_source_shared"
							value="#{manageProcessorUIBean.destSharedVirAssignedProcUnits}"  rendered="#{manageProcessorUIBean.shared}"/>
						<h:outputText id="dest_after_move_Proc_virProc_source_shared"
							value="#{manageProcessorUIBean.destAafterMoveVirtual}"  rendered="#{manageProcessorUIBean.shared}"/>
				</h:panelGrid>	
			
						
			<h:panelGrid id="dest_sharedProcUncappedSectionGrid" columns="4" styleClass="columnLeftAlign">
				<vsmfaces:outputLabel id="dest_shareduncappedLbl" value="#{msg.LBL_UNCAPPED}" for="dest_procSharingModeCheck" uiproperty="#{manageProcessorUIBean.selectedDestinationLPARDetail.uncapped}"/>
				<vsmfaces:selectBooleanCheckBox disabled="true" id="dest_procSharingModeCheck" uiproperty="#{manageProcessorUIBean.selectedDestinationLPARDetail.uncapped}" labelId="dest_shareduncappedLbl" dynamic="true"> 
				</vsmfaces:selectBooleanCheckBox>
				<vsmfaces:outputLabel id="dest_shareduncappedWeightLbl"  for="dest_shareduncappedWeight" value="#{msg.LBL_WEIGHT}" rendered="#{manageProcessorUIBean.selectedDestinationLPARDetail.uncapped.booleanValue}" uiproperty="#{manageProcessorUIBean.selectedDestinationLPARDetail.unCappedWeight}"/>
					<vsmfaces:inputText disabled="true" id="dest_shareduncappedWeight" uiproperty="#{manageProcessorUIBean.selectedDestinationLPARDetail.unCappedWeight}" rendered="#{manageProcessorUIBean.selectedDestinationLPARDetail.uncapped.booleanValue}"  dynamic="true" maxlength="3"  labelId="dest_shareduncappedWeightLbl" maxlength="3">
				</vsmfaces:inputText>
			</h:panelGrid>						
		</h:panelGrid>
		
</h:panelGrid>
		
		</h:panelGrid>
		<h:panelGrid columns="3"   id="panel335">
				<hx:commandExButton id="commandBtnSubmit335"
				action="#{manageProcessorUIBean.dialogSubmission}" value="#{msg.LBL_OK}" type="submit">
				<hx:behavior event="onclick"
					targetAction="moveDLPARProcessorPanelDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
				</hx:commandExButton>

				<hx:commandExButton value="#{msg.LBL_CANCEL}"
					action="#{manageProcessorUIBean.dialogCancel}"
					type="submit" immediate="true"   id="commandBtnCancel335">
					<hx:behavior event="onclick"
					targetAction="moveDLPARProcessorPanelDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
				</hx:commandExButton>
				
				<h:commandButton id="help_button_mvsmoveproc"  id="commandBtnHelp335"
					value="#{msg.HELP_TEXT}"
					action="#{mvs_help.doModifyProcessorHelp}" immediate="true">
				</h:commandButton>
			</h:panelGrid>

	</hx:panelBox>
	<exfaces:script type="text/javascript" value="
			function setModified(obj)
			{
				if (obj.value != '') {
					document.getElementById(namespace+'manageServer_form:strgMvDlpProcView:move_Proc_source_ded_modifiedHiddenCheckBox').checked=true;
					document.getElementById(namespace+'manageServer_form:strgMvDlpProcView:move_Proc_virProc_source_shared1_modifiedHiddenCheckBox').checked=true;
					document.getElementById(namespace+'manageServer_form:strgMvDlpProcView:move_Proc_source_shared1_modifiedHiddenCheckBox').checked=true;
				}
			}
"/>
</f:subview>
