<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces"
	prefix="vsmfaces"%>

<f:subview id="strgMvDlpVAView44">
	<hx:panelBox id="strgMvDlpVADialogbox12" layout="pageDirection">

  
		<usmc:messageBox id="strgMvDlpVAMessageBox32"
			messageCollection="#{messageBoxBean.messages}" styleClass="taskInfo"
			immediate="true" closeLinkVisible="false"
			closeListener="#{messageBoxBean.handleClose}" />

	<hx:ajaxRefreshSubmit id="refreshlpars1" target="moveToPartitionListPanel1"/>

		<h:panelGrid id="panel1">
			<h:outputText id="move_lpar_id12"
				value="#{msg.LBL_STRGMvDlpVA_TEXT} " />
		</h:panelGrid>

		<h:panelGrid id="moveToPartitionListPanel1" columns="2">
			<h:outputText value="#{msg.LBL_MOVETO_PARTITION}" styleClass="headerText"
				id="moveToPartitionListlbl123" />
			<h:selectOneMenu id="moveToPartitionListId14" value="#{manageAdaptersUIBean.selectedDestVirtualServerId}">
				<f:selectItems value="#{manageAdaptersUIBean.destinationLpars}"/>				
			</h:selectOneMenu>
		</h:panelGrid>
		

		<h:panelGrid columns="3" id="panel778">
				<hx:commandExButton id="commandBtnSubmit778"
				action="#{manageAdaptersUIBean.moveDialogSubmission}" value="#{msg.LBL_OK}" type="submit" onclick="processChanges();">
				<hx:behavior event="onclick"
					targetAction="physicalAdapterPanelMVDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
				</hx:commandExButton>


				<hx:commandExButton value="#{msg.LBL_CANCEL}"
					action="#{manageAdaptersUIBean.moveDialogCancel}"
					type="submit" immediate="true"  id="commandBtnCancel778">
					<hx:behavior event="onclick"
					targetAction="physicalAdapterPanelMVDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
				</hx:commandExButton>
				
				<h:commandButton id="help_button_mvsmovephysadap"  id="commandBtnHelp778"
					value="#{msg.HELP_TEXT}"
					action="#{mvs_help.doModifyPhyIOHelp}" immediate="true">
				</h:commandButton>
			</h:panelGrid>


	</hx:panelBox>
</f:subview>
