<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>

<hx:panelBox layout="pageDirection" id="virtualStoragePanel" width="100%" cellpadding="0" cellspacing="0" border="0" rendered="true">
	<h:panelGrid width="100%" id="CreateVirtualServerPagingDevice" rendered="true" >
				<h:panelGrid id="pdoltablepanel" width="90%" cellpadding="0" cellspacing="0" border="0">
		
			<hx:ajaxRefreshSubmit id="sortRefresh" />

				<hx:commandExButton value="" action="#{pagingDeviceUIBean.sortVAdapTable}" style="display : none" id="pagdevsortbutton">
				<hx:behavior event="onclick" targetAction="pdoltablewrapperPanel" behaviorAction="get;stop" target="pagdevsortbutton"/>	
				</hx:commandExButton>
				
				<h:inputText value="#{pagingDeviceUIBean.sortColumnId}" style="display : none" id="pagdevSortColumn"/>	
						
				<h:panelGrid id="pdoltablewrapperPanel" width="100%" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder"
					rendered="true">			
								
					<hx:dataTableEx id="pdolTable" border="0" cellpadding="10" cellspacing="0"
							columnClasses="columnClass1"
							headerClass="dataTableColumnHeader"
							footerClass="footerClass" rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
							value= "#{pagingDeviceUIBean.pgDevices}"
							var="pdollist" width="100%" scrollSize="#{pagingDeviceUIBean.pvolScrollSize}">
														
							<hx:columnEx id="pdevNameCol">
								<f:facet name="header">
									<h:panelGrid columns="1" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
										<usmc:outputLabel styleClass="outputLabel"
											id="pdevSelect" value="#{msg.PAGDEV_SELECT}" />
											</h:panelGrid>	
								</f:facet>		
								<h:selectBooleanCheckbox id="pg_device_id" value="#{pdollist.selected}" onclick="updateCheckBox(this);handleTableRowTaskSelection('createServer_form:createsvrwizard:PagingDevicePanel:pdolTable');" />
							</hx:columnEx>
							
							<hx:columnEx id="pDevNameCol">
								<f:facet name="header">
									<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
										<usmc:outputLabel styleClass="outputLabel"
											id="pDevNamename" value= "#{msg.PAGDEV_DEVICE_NAME}" />
											<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
											'createServer_form:createsvrwizard:PagingDevicePanel:pagdevsortbutton','pDevNameCol','createServer_form:createsvrwizard:PagingDevicePanel:pagdevSortColumn');"/>
									</h:panelGrid>	
									</f:facet>
									<h:outputText id="Deviname" value="#{pdollist.deviceName}" />
																		
							</hx:columnEx>
							
							<hx:columnEx id="pDevSizeCol">
								<f:facet name="header">
									<h:panelGrid columns="3" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
										<usmc:outputLabel styleClass="outputLabel"
											id="pDevSizename" value= "#{msg.PAGDEV_DEVICE_SIZE}" />
											<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
											'createServer_form:createsvrwizard:PagingDevicePanel:pagdevsortbutton','pDevSizeCol','createServer_form:createsvrwizard:PagingDevicePanel:pagdevSortColumn');"/>
									</h:panelGrid>	
									</f:facet>
									<h:outputText id="Devisize" value="#{pdollist.deviceSize}" />
																		
							</hx:columnEx>
							
							<hx:columnEx id="pdevViosCol">
								<f:facet name="header">
								<h:panelGrid columns="4" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
								<usmc:outputLabel id="pdevviosName"
										styleClass="outputLabel" value="#{msg.PAGDEV_VIOSNAME}" />
										<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
											'createServer_form:createsvrwizard:PagingDevicePanel:pagdevsortbutton','pdevViosCol','createServer_form:createsvrwizard:PagingDevicePanel:pagdevSortColumn');"/>
								</h:panelGrid>							
								</f:facet>
								<h:outputText styleClass="outputText" value= "#{pdollist.viosName}" />
								</hx:columnEx>
		
							<hx:columnEx id="pDevStatusCol">
								<f:facet name="header">
								<h:panelGrid columns="5" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
								<usmc:outputLabel styleClass="outputLabel" id="pdevStatusName" value="#{msg.PAGDEV_DEVICE_STATUS}" />
										<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
											'createServer_form:createsvrwizard:PagingDevicePanel:pagdevsortbutton','pDevStatusCol','createServer_form:createsvrwizard:PagingDevicePanel:pagdevSortColumn');"/>
							</h:panelGrid>									
								</f:facet>
								<h:outputText styleClass="outputText" value="#{pdollist.deviceStatus}"/>
								</hx:columnEx>
							
							<hx:columnEx id="pDevredunCol">
								<f:facet name="header">
								<h:panelGrid columns="6" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
								<usmc:outputLabel styleClass="outputLabel" id="pdevredunName"
										value="#{msg.PAGDEV_REDUNDANCY_CAPABLE}" />
										<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
											'createServer_form:createsvrwizard:PagingDevicePanel:pagdevsortbutton','pDevredunCol','createServer_form:createsvrwizard:PagingDevicePanel:pagdevSortColumn');"/>
							</h:panelGrid>									
								</f:facet>
								<h:outputText styleClass="outputText" value= "#{pdollist.redundancyCapable}"/>
								</hx:columnEx>
								
							<hx:columnEx id="pDevSelectableCol">
								<f:facet name="header">
								<h:panelGrid columns="7" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
								<usmc:outputLabel styleClass="outputLabel" id="pdevSelectableName"
										value="#{msg.PAGDEV_DEVICE_SELECTION}" />
										<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
											'createServer_form:createsvrwizard:PagingDevicePanel:pagdevsortbutton','pDevSelectableCol','createServer_form:createsvrwizard:PagingDevicePanel:pagdevSortColumn');"/>
							</h:panelGrid>									
								</f:facet>
									<h:outputText styleClass="outputText" value="#{pdollist.deviceSelection}"/>
								</hx:columnEx>	
						</hx:dataTableEx>
				</h:panelGrid>
			</h:panelGrid>                
	</h:panelGrid>
</hx:panelBox>