<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces" prefix="vsmfaces"%>
				
				
<f:subview id="remoteFcoeConfirmationDialogView">
<f:loadBundle basename="com.ibm.dpsm.console.vsm.manageserver.nl1.ManageServerResource" var="msg" />
	<hx:panelBox id="remoteFcoeConfirmationBox" layout="pageDirection">
		<h:outputText styleClass="outputText" value="<p>" escape="false" id="space1"/>
		<h:outputText styleClass="outputText" value="#{msg.LBL_CONFIRM_REMOTE_FCOE_TEXT1}" rendered="true" id="remoteFcoeConfirmtext1"/>	
		<h:outputText styleClass="outputText" value="#{msg.LBL_CONFIRM_REMOTE_FCOE_TEXT2}" rendered="true" id="remoteFcoeConfirmtext2"/>	
		<h:outputText styleClass="outputText" value="<p>" escape="false" id="space2"/>	
		<h:outputText styleClass="outputText" value="#{msg.LBL_CONFIRM_REMOTE_FCOE_TEXT3}" rendered="true" id="remoteFcoeConfirmtext3"/>	
		<h:outputText styleClass="outputText" value="<br>" escape="false" id="space3"/>		
	<h:panelGrid columns="2">
			<hx:commandExButton
				action="#{manageSriovUIBean.remoteFcoeConfirmationSubmit}"
				value="#{msg.LBL_YES}" type="submit" id="remoteFcoeokbutton1"
				disabled="false">
				<hx:behavior event="onclick"
					targetAction="sriovConfigurePortDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
			</hx:commandExButton>

			<hx:commandExButton value="#{msg.LBL_NO}"
				action="#{manageSriovUIBean.remoteFcoeConfirmationCancel}"
				type="submit" id="remoteFcoecancelbutton1">
				<hx:behavior event="onclick"
					targetAction="sriovConfigurePortDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
			</hx:commandExButton>
		</h:panelGrid>
	</hx:panelBox>
</f:subview>