<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>

<f:subview id="vtpmConfirmDialogView">
	<hx:panelBox id="vtpmDialogbox" layout="pageDirection" width="100%">
		<h:panelGrid cellpadding="0" cellspacing="0" width="100%" columns="3">
			<hx:graphicImageEx id="warningvTPMImage"
				value="/images/warning_obj16.gif" />
			<h:outputText value="&nbsp;" escape="false" id="warningvTPMtext"></h:outputText>
			<h:outputText id="vtpmdialogText"
				value="#{msg.LBL_VTPMWARNINGDIALOG_TEXT}" />
		</h:panelGrid>

		<h:outputText value="<br>" escape="false" />
		<h:panelGrid columns="1">
			<hx:commandExButton value="#{msg.LBL_CLOSE}"
				action="#{manageServerUIBean.dialogCancel}" type="submit"
				immediate="true">
				<hx:behavior event="onclick"
					targetAction="vtpmConfirmPanelDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
			</hx:commandExButton>
		</h:panelGrid>
	</hx:panelBox>
</f:subview>
