<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ page language="java" contentType="text/html"
	pageEncoding="ISO-8859-1" session="false"%>

<h:panelGrid id="sriov_LogPortCounterGrid" styleClass="panelGrid">
	<hx:panelBox>
		<h:outputText value="#{msg.LBL_PORT_COUNTERS}" style="headerText"></h:outputText>
	</hx:panelBox>
	<h:panelGrid id="sriov_FCOELogPortCounterGrid" columns="2" styleClass="panelGrid" rendered="#{!sriov_bean.configDetails.ethernetTypeLogPort}">

    <usmc:outputLabel id="fcoeLabel1" value="#{msg.LBL_TRANSMIT_KBCOUNT}" for="fcoeText1"/>
    <h:outputText id="fcoeText1" value="0" style="outputText"></h:outputText>
    
    <usmc:outputLabel id="fcoeLabel2" value="#{msg.LBL_RECEIVE_KBCOUNT}" for="fcoeText2"/>
    <h:outputText id="fcoeText2" value="0" style="outputText"></h:outputText>
    
    <usmc:outputLabel id="fcoeLabel3" value="#{msg.LBL_TRANSMIT_FRAMECNT}" for="fcoeText3"/>
    <h:outputText id="fcoeText3" value="0" style="outputText"></h:outputText>
    
    <usmc:outputLabel id="fcoeLabel4" value="#{msg.LBL_RECEIVE_FRAMECNT}" for="fcoeText4"/>
    <h:outputText id="fcoeText4" value="0" style="outputText"></h:outputText>
    
    <usmc:outputLabel id="fcoeLabel5" value="#{msg.LBL_DROPPED_FRAMES}" for="fcoeText5"/>
    <h:outputText id="fcoeText5" value="0" style="outputText"></h:outputText>
    
    <usmc:outputLabel id="fcoeLabel6" value="#{msg.LBL_ERR_FRAMES}" for="fcoeText6"/>
    <h:outputText id="fcoeText6" value="0" style="outputText"></h:outputText>
    
    <usmc:outputLabel id="fcoeLabel7" value="#{msg.LBL_TRANSMIT_SEQCOUNT}" for="fcoeText7"/>
    <h:outputText id="fcoeText7" value="0" style="outputText"></h:outputText>
    <usmc:outputLabel id="fcoeLabel8" value="#{msg.LBL_RECEIVE_SEQCOUNT}" for="fcoeText8"/>
    <h:outputText id="fcoeText8" value="0" style="outputText"></h:outputText>
    <usmc:outputLabel id="fcoeLabel9" value="#{msg.LBL_TOT_ORIG_EXCHANGES}" for="fcoeText9"/>
    <h:outputText id="fcoeText9" value="0" style="outputText"></h:outputText>
    <usmc:outputLabel id="fcoeLabel10" value="#{msg.LBL_TOT_RESP_EXCHANGES}" for="fcoeText10"/>
    <h:outputText id="fcoeText10" value="0" style="outputText"></h:outputText>
    
    <h:panelGroup>
    	<usmc:outputLabel id="fcoeAdapCountLabel1" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="fcoeAdapCountText1"/>
    	<h:outputText id="fcoeCount1" value="1"></h:outputText>
    </h:panelGroup>
    <h:outputText id="fcoeAdapCountText1" value="0" style="outputText"></h:outputText>
    
    <h:panelGroup>
    	<usmc:outputLabel id="fcoeAdapCountLabel2" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="fcoeAdapCountText2"/>
    	<h:outputText id="fcoeCount2" value="2"></h:outputText>
    </h:panelGroup>
    <h:outputText id="fcoeAdapCountText2" value="0" style="outputText"></h:outputText>
    
	</h:panelGrid>
	
	<h:panelGrid id="sriov_NICLogPortCounterGrid" columns="2" styleClass="panelGrid" rendered="#{sriov_bean.configDetails.ethernetTypeLogPort}">

    <usmc:outputLabel id="nicLabel1" value="#{msg.LBL_TRANSMIT_PKTS}" for="nicText1"/>
    <h:outputText id="nicText1" value="0" style="outputText"></h:outputText>
    
    <usmc:outputLabel id="nicLabel2" value="#{msg.LBL_TRANSMIT_UNI_PKTS}" for="nicText2"/>
    <h:outputText id="nicText2" value="0" style="outputText"></h:outputText>
    
    <usmc:outputLabel id="nicLabel3" value="#{msg.LBL_TRANSMIT_MULTI_PKTS}" for="nicText3"/>
    <h:outputText id="nicText3" value="0" style="outputText"></h:outputText>
    
    <usmc:outputLabel id="nicLabel4" value="#{msg.LBL_TRANSMIT_BROD_PKTS}" for="nicText4"/>
    <h:outputText id="nicText4" value="0" style="outputText"></h:outputText>
    
    <usmc:outputLabel id="nicLabel5" value="#{msg.LBL_TRANSMIT_BYTES}" for="nicText5"/>
    <h:outputText id="nicText5" value="0" style="outputText"></h:outputText>
    
    <usmc:outputLabel id="nicLabel6" value="#{msg.LBL_TRANSMIT_DROPEED}" for="nicText6"/>
    <h:outputText id="nicText6" value="0" style="outputText"></h:outputText>
    
    <usmc:outputLabel id="nicLabel7" value="#{msg.LBL_TRANSMIT_ERRS}" for="nicText7"/>
    <h:outputText id="nicText7" value="0" style="outputText"></h:outputText>
    <usmc:outputLabel id="nicLabel8" value="#{msg.LBL_RECEIVE_PKTS}" for="nicText8"/>
    <h:outputText id="nicText8" value="0" style="outputText"></h:outputText>
    <usmc:outputLabel id="nicLabel9" value="#{msg.LBL_RECEIVE_UNI_PKTS}" for="nicText9"/>
    <h:outputText id="nicText9" value="0" style="outputText"></h:outputText>
    <usmc:outputLabel id="nicLabel10" value="#{msg.LBL_RECEIVE_MULTI_PKTS}" for="nicText10"/>
    <h:outputText id="nicText10" value="0" style="outputText"></h:outputText>
    
    <usmc:outputLabel id="nicLabel11" value="#{msg.LBL_RECEIVE_MULTI_PKTS}" for="nicText11"/>
    <h:outputText id="nicText11" value="0" style="outputText"></h:outputText>
    <usmc:outputLabel id="nicLabel12" value="#{msg.LBL_RECEIVE_BROD_PKTS}" for="nicText12"/>
    <h:outputText id="nicText12" value="0" style="outputText"></h:outputText>
    <usmc:outputLabel id="nicLabel13" value="#{msg.LBL_RECEIVE_BYTES}" for="nicText13"/>
    <h:outputText id="nicText13" value="0" style="outputText"></h:outputText>
    <usmc:outputLabel id="nicLabel14" value="#{msg.LBL_RECEIVE_DROPPED}" for="nicText14"/>
    <h:outputText id="nicText14" value="0" style="outputText"></h:outputText>
    <usmc:outputLabel id="nicLabel15" value="#{msg.LBL_RECEIVE_ERRS}" for="nicText15"/>
    <h:outputText id="nicText15" value="0" style="outputText"></h:outputText>
    
    <h:panelGroup>
    	<usmc:outputLabel id="nicAdapCountLabel1" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="nicAdapCountText1"/>
    	<h:outputText id="nicCount1" value="1"></h:outputText>
    </h:panelGroup>
    <h:outputText id="nicAdapCountText1" value="0" style="outputText"></h:outputText>
    
    <h:panelGroup>
    	<usmc:outputLabel id="nicAdapCountLabel2" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="nicAdapCountText2"/>
    	<h:outputText id="nicCount2" value="2"></h:outputText>
    </h:panelGroup>
    <h:outputText id="nicAdapCountText2" value="0" style="outputText"></h:outputText>
    
     <h:panelGroup>
    	<usmc:outputLabel id="nicAdapCountLabel3" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="nicAdapCountText3"/>
    	<h:outputText id="nicCount3" value="3"></h:outputText>
    </h:panelGroup>
    <h:outputText id="nicAdapCountText3" value="0" style="outputText"></h:outputText>
    
    
     <h:panelGroup>
    	<usmc:outputLabel id="nicAdapCountLabel4" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="nicAdapCountText4"/>
    	<h:outputText id="nicCount4" value="4"></h:outputText>
    </h:panelGroup>
    <h:outputText id="nicAdapCountText4" value="0" style="outputText"></h:outputText>
    
     <h:panelGroup>
    	<usmc:outputLabel id="nicAdapCountLabel5" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="nicAdapCountText5"/>
    	<h:outputText id="nicCount5" value="5"></h:outputText>
    </h:panelGroup>
    <h:outputText id="nicAdapCountText5" value="0" style="outputText"></h:outputText>
    
     <h:panelGroup>
    	<usmc:outputLabel id="nicAdapCountLabel6" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="nicAdapCountText6"/>
    	<h:outputText id="nicCount6" value="6"></h:outputText>
    </h:panelGroup>
    <h:outputText id="nicAdapCountText6" value="0" style="outputText"></h:outputText>
    
     <h:panelGroup>
    	<usmc:outputLabel id="nicAdapCountLabel7" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="nicAdapCountText7"/>
    	<h:outputText id="nicCount7" value="7"></h:outputText>
    </h:panelGroup>
    <h:outputText id="nicAdapCountText7" value="0" style="outputText"></h:outputText>
    
     <h:panelGroup>
    	<usmc:outputLabel id="nicAdapCountLabel8" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="nicAdapCountText8"/>
    	<h:outputText id="nicCount8" value="8"></h:outputText>
    </h:panelGroup>
    <h:outputText id="nicAdapCountText8" value="0" style="outputText"></h:outputText>
    
     <h:panelGroup>
    	<usmc:outputLabel id="nicAdapCountLabel9" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="nicAdapCountText9"/>
    	<h:outputText id="nicCount9" value="9"></h:outputText>
    </h:panelGroup>
    <h:outputText id="nicAdapCountText9" value="0" style="outputText"></h:outputText>
    
     <h:panelGroup>
    	<usmc:outputLabel id="nicAdapCountLabel10" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="nicAdapCountText10"/>
    	<h:outputText id="nicCount10" value="10"></h:outputText>
    </h:panelGroup>
    <h:outputText id="nicAdapCountText10" value="0" style="outputText"></h:outputText>
    
    
	</h:panelGrid>
	
</h:panelGrid>
